import re

separator = r"[\.,\s]*"


offg = rf"""(?P<OG_PUB>
    (
        (
            o
            {separator}
            g
            {separator}
        )|
        (
            off
            {separator}
            gaz(ette)?
            {separator}
        )
    )
    (
        (
            suppl? # Supp. vs. Suppl.; 47 Off. Gaz. Suppl. 12
            {separator}
        )|
        (
            \(? # 56 OG (No. 4) 1068
            no # 49 O.G. No. 7, 2740 (1953),
            {separator} # 46 O.G. No. 11, 90
            \d{{1,4}}  #* see enclosing brackets on quantifier in rf string
            \)?
            {separator}
        )
    )?
)
"""

offg_pattern = re.compile(offg, re.I | re.X)
