# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['casereports', 'casereports.base']

package_data = \
{'': ['*']}

install_requires = \
['casedate>=0.3.0,<0.4.0',
 'python-dateutil>=2.8.2,<3.0.0',
 'types-python-dateutil>=0.1.6,<0.2.0']

setup_kwargs = {
    'name': 'casereports',
    'version': '0.3.3',
    'description': 'Getting report citations from Philippine Supreme Court decisions',
    'long_description': None,
    'author': 'Mars Veloso',
    'author_email': 'testmarcelino@gmail.com',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.9.1,<4.0.0',
}


setup(**setup_kwargs)
